System
View License Information
GET /license
License Information for VirtlixCP
Response 200: License Information for VirtlixCP
| Field | Type | Description |
|---|---|---|
has_enterprise |
boolean | |
is_active |
boolean | |
key |
string |
Create License Information
POST /license/refresh
Refresh VirtlixCP License Information
Request body
| Field | Type | Required | Description |
|---|---|---|---|
isWrapped |
boolean |
Response 200: License Information
| Field | Type | Description |
|---|---|---|
has_enterprise |
boolean | |
is_active |
boolean | |
key |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
isWrapped |
boolean |
Response 422: Unprocessable Entity
List Log Items
GET /log
Log Information for VirtlixCP
Response 200: Log Information for VirtlixCP
| Field | Type | Description |
|---|---|---|
created_at |
object | |
created_at.iso_8601 |
string | IS0 8601-formatted Date |
created_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
desc |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
targets |
array | |
targets[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
targets[].name |
string | |
targets[].singular |
string | |
targets[].url |
string | |
user |
object | |
user.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
user.name |
string | |
user.url |
string |
View Log Item
GET /log/{log_id}
A VirtlixCP Log Item
Response 200: A VirtlixCP Log Item
| Field | Type | Description |
|---|---|---|
created_at |
object | |
created_at.iso_8601 |
string | IS0 8601-formatted Date |
created_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
data |
object | |
data.description |
string | |
data.message |
string | |
desc |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
targets |
array | |
targets[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
targets[].name |
string | |
targets[].singular |
string | |
targets[].url |
string | |
user |
object | |
user.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
user.name |
string | |
user.url |
string |
List Packages
GET /package
Get Packages
Response 200: Packages
| Field | Type | Description |
|---|---|---|
files |
array |
View Package
GET /package/{package_id}
Get Package
Response 200: Package
| Field | Type | Description |
|---|---|---|
files |
array |
List Setting Groups
GET /setting-group
List of Setting Groups
Response 200: List of Setting Groups
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
parent |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
settings |
array | |
settings[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
settings[].name |
string | |
settings[].options |
string | |
settings[].slug |
string | |
settings[].type |
string | |
settings[].validator |
string | |
settings[].value |
integer |
View Setting Group
GET /setting-group/{setting_group_id}
Information about a Setting Group
Response 200: Information about a Setting Group
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
parent |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
settings |
array | |
settings[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
settings[].name |
string | |
settings[].options |
string | |
settings[].slug |
string | |
settings[].type |
string | |
settings[].validator |
string | |
settings[].value |
integer |
List Theme Customization Options
GET /system/theme/customize
Theme Customization Options
Response 200: Theme Customization Options
| Field | Type | Description |
|---|---|---|
allowed |
boolean | |
theme |
object | |
theme.custom_admin_html |
string | |
theme.custom_client_html |
string | |
theme.custom_css |
string | |
theme.link_color |
string | |
theme.logo |
string | |
theme.main_bg |
string | |
theme.nav_bg |
string | |
theme.panel_alt_bg |
string | |
theme.panel_bg |
string | |
theme.side_nav_bg |
string | |
theme.text_color |
string |
Edit Theme Customization Options
POST /system/theme/customize
Update Theme Customization Options
Request body
| Field | Type | Required | Description |
|---|---|---|---|
allowed |
boolean | ||
theme |
object | ||
theme.custom_admin_html |
string | ||
theme.custom_client_html |
string | ||
theme.custom_css |
string | ||
theme.link_color |
string | ||
theme.logo |
string | ||
theme.main_bg |
string | ||
theme.nav_bg |
string | ||
theme.panel_alt_bg |
string | ||
theme.panel_bg |
string | ||
theme.side_nav_bg |
string | ||
theme.text_color |
string |
Response 200: Theme Customization Options
| Field | Type | Description |
|---|---|---|
allowed |
boolean | |
theme |
object | |
theme.custom_admin_html |
string | |
theme.custom_client_html |
string | |
theme.custom_css |
string | |
theme.link_color |
string | |
theme.logo |
string | |
theme.main_bg |
string | |
theme.nav_bg |
string | |
theme.panel_alt_bg |
string | |
theme.panel_bg |
string | |
theme.side_nav_bg |
string | |
theme.text_color |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
allowed |
boolean | ||
theme |
object | ||
theme.custom_admin_html |
string | ||
theme.custom_client_html |
string | ||
theme.custom_css |
string | ||
theme.link_color |
string | ||
theme.logo |
string | ||
theme.main_bg |
string | ||
theme.nav_bg |
string | ||
theme.panel_alt_bg |
string | ||
theme.panel_bg |
string | ||
theme.side_nav_bg |
string | ||
theme.text_color |
string |
Response 422: Unprocessable Entity
List Todo Items
GET /todo
Todo Items
Response 200: Todo Items
| Field | Type | Description |
|---|---|---|
completed_at |
object | |
completed_at.iso_8601 |
string | IS0 8601-formatted Date |
completed_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
slug |
string |
View Todo Item
GET /todo/{todo_id}
Todo Item
Response 200: Todo Item
| Field | Type | Description |
|---|---|---|
completed_at |
object | |
completed_at.iso_8601 |
string | IS0 8601-formatted Date |
completed_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
slug |
string |